_netjack_driver_state Struct Reference

## Public Attributes

jack_nframes_t | net_period_up
jack_nframes_t | net_period_down
jack_nframes_t | sample_rate
jack_nframes_t | bitdepth
jack_nframes_t | period_size
jack_time_t | period_usecs
int | dont_htonl_floats
int | always_deadline
jack_nframes_t | codec_latency
unsigned int | listen_port
unsigned int | capture_channels
unsigned int | playback_channels
unsigned int | capture_channels_audio
unsigned int | playback_channels_audio
unsigned int | capture_channels_midi
unsigned int | playback_channels_midi
JSList * | capture_ports
JSList * | playback_ports
JSList * | playback_srcs
JSList * | capture_srcs
jack_client_t * | client
int | sockfd
int | outsockfd
struct sockaddr_in | syncsource_address
int | reply_port
int | srcaddress_valid
int | sync_state
unsigned int | handle_transport_sync
unsigned int * | rx_buf
unsigned int | rx_bufsize
unsigned int | mtu
unsigned int | latency
unsigned int | redundancy
jack_nframes_t | expected_framecnt
int | expected_framecnt_valid
unsigned int | num_lost_packets
jack_time_t | next_deadline
jack_time_t | deadline_offset
int | next_deadline_valid
int | packet_data_valid
int | resync_threshold
int | running_free
int | deadline_goodness
jack_time_t | time_to_deadline
unsigned int | use_autoconfig
unsigned int | resample_factor
unsigned int | resample_factor_up
int | jitter_val
struct _packet_cache * | packcache

## Detailed Description

Definition at line 49 of file netjack.h.

The documentation for this struct was generated from the following file:

- netjack.h